FeeService
Get Spot Fee Rates
Get effective maker and taker fee rates for the authenticated account target.
Request
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/spot/fee-rates?subaccountId=6789012345678&symbol=BTC-USDT&symbolId=1' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"feeRates": [
{
"makerFeeRatePercent": "0.09",
"symbol": "BTC-USDT",
"takerFeeRatePercent": "0.03",
"vipTier": 1
}
]
}Optional sub-account public identifier.
Optional trading pair symbols; repeat the query parameter to select multiple markets.
Optional unique spot market identifier filter. When empty, all currently listed, non-disabled spot markets are returned. At most 100 identifiers may be requested.
Effective maker fee rate encoded as a base-10 percentage string without a percent sign. Values are between -100 and 100 inclusive.
0.09Trading pair symbol, e.g. BTC-USDT.
BTC-USDTEffective taker fee rate encoded as a non-negative base-10 percentage string without a percent sign. Values are between 0 and 100 inclusive.
0.03VIP tier used to resolve these rates, in the inclusive range 0 through 10.
1| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |